"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-310/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8A3BEB0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8A3BF40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68040>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B680D0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B681F0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68280>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68310>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B683A0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68430>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B684C0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68550>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B685E0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68670>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68790>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68820>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B688B0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68940>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B689D0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68A60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68AF0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68B80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68C10>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68D30>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68CA0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68DC0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68E50>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68EE0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B68F70>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69000>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69090>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69120>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B691B0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69240>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B692D0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69360>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B693F0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69480>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69510>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B695A0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69630>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B696C0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69750>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B697E0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69870>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69900>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69990>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69A20>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69AB0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69B40>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69BD0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69C60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69CF0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69D80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69E10>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69EA0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69F30>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B69FC0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A050>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A0E0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A170>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A200>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A290>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A320>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A4D0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A3B0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A560>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A5F0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A680>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A710>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A7A0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A8C0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A830>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A950>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6A9E0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6AA70>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6AB90>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6AB00>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6AC20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6ACB0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6AD40>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6ADD0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6AE60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001A5A8B6AEF0>)]
name: str = 'fr_HOCCN'
